<?
	
	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	$uid=$_GET['id'];
	$q = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($uid)))))))."'");
	$f = mysql_fetch_array($q);
	if($level==0  OR $ban!=0){
		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
	}else{
	if ($ban_chat==1){
	$q = mysql_query("SELECT * FROM `ban_chat` WHERE `uid`='".$use_id."'");
	 $f = mysql_fetch_array($q);
	 $p = mysql_query("SELECT * FROM `users` WHERE `id`='".$f['adm']."'");
	 $u = mysql_fetch_array($p);
	echo "<title>Доступ закрыт!!!</title>";
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="blok3"><b>Представитель Администрации <br/>'.rasa($u['rasa']).' <span class="'.crasa($u['rasa']).'">'.$u['name_user'].'</b></span><br/><b>забанил ваc по причине:</b><br/><font color="#4EEE94"><b>['.$f['text'].']</b></font></div>';
	echo '<center><div class="window">Время разблокировки: <br/><font color="#4EEE94"><b>['.dates($f['time']).']</b></font></div></center>';
	 if($realtime>=$f['time']){
	mysql_query("UPDATE `users` SET `ban_chat`=0 WHERE `id` = '".$use_id."'");
	mysql_query("DELETE FROM `ban` WHERE `uid` = '".$use_id."'");
	 }
	 }else
		switch ($act) {
	default:
	$r=rand(50,9999);
	echo "<title>Чат</title>";
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	echo '<div class="top-nav1"><b>Чат</b><a href="?o='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($r))))))).'"><font color="#DAA520"><b>[Обновить]</b></font></a></div>';
	echo '<div class="razd"></div>';
	echo '<center><div class="window"><form action="?act=add" method="POST"><b>Сообщение:</b> <br/><input type="text" value="'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_GET['login']))))))).'" name="text"/><br/><input type="submit" name="submit" value="Написать"/><br><input type="button" class="button" onClick="(\'info.php?act=smiles\')" value=""></form></center></div><div class="razd"></div><div class="blok"><a href="info.php?act=smiles"><b>Другие смайлы</b></a></div><div class="razd"></div>';

		$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `brifing`;"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `brifing` ORDER BY `id` DESC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					echo '<div class="window1">';
					echo '<div class="dashed"></div>';
					$q = mysql_query("SELECT * FROM `users` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['uid'])))))))."'");
					$f = mysql_fetch_array($q);
					if($f['chat_ava']!='') echo '['.date('H:i',$row['time']).'] <img src="../images/chat_ava/'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['chat_ava']))))))).'" alt="ava" /> <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><font color="#BCE05C"><span class="' . crasa($f['rasa']) . '">' . $f['login'] . ':</span></font>';
					if($f['chat_ava']=='') echo ' ['.date('H:i',$row['time']).'] '.rasa($f['rasa']).' <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><font color="#BCE05C"><span class="' . crasa($f['rasa']) . '">' . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['name_user']))))))) . ':</span></font></a>';
					if($f['lasttime'] > time()-$online_time)echo ' <span class="green">on</span> ';
					echo '<a href="?login='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['name_user']))))))).', "><font color="#4EEE94">[»]</font></a> <b>' . smiles(check(tags(antilink(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['text'])))))))))) . '</b>';
					if($level==5 OR $level==6 OR $level==7 OR $level==8 OR $level==9)echo ' <a href="?act=ban_chat&amp;id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'">[Б]</a>';
					if($level==6 OR $level==7 OR $level==8 OR $level==9)echo ' <a href="?act=del&amp;m='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($row['id']))))))).'"> <img src="/images/icon/abort.png" width="15px" alt="image" /></a>';
					echo '<div class="dashed"></div>';
					echo '</div>'; 

					++$i;

				}
				if($count>$elem)echo $PAGINGS->Links('?'); 
			}
			else
			{
				div('<center><b>Сообщений нет!</b></center>','window');
			}
			if($level==6 OR $level==7 OR $level==8 OR $level==9) div('<a href="?act=clean&clean"><b>Очистить чат</b></a>','blok');
	break;
	case 'ban_chat':
	if($level==5 OR $level==6 OR $level==7 OR $level==8 OR $level==9){
	echo "<title>Бан</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="blok3">'.rasa($f['rasa']).' <a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><span class="'.crasa($f['rasa']).'">'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['name_user']))))))).'</span></a> | <font color="#4EEE94"><b>Бан</b></font></div>';
			  	if(!$_POST)
	{
			echo '<center><div class="window">';
			echo '<form action="" method="POST">Причина:<br/><font color="#FF0000">(Введите минимум 5 букв или символов)</font><br/><input type="text" value="" name="text" /><br />Время:<br/><font color="#FF0000">(Введите от 1 до 87600 часов)</font><br/><input type="text" value="" name="tban" /><br /><input type="checkbox" value="1" name="shield" /> Мораторий<br /><input type="checkbox" value="1" name="clearchat" /> Очистить чат<br /><input type="checkbox" value="1" name="clearforum" /> Очистить форум<br /><input type="checkbox" value="1" name="clearls" /> Очистить ЛС<br /><input type="submit" name="submit" value="Забанить"/></form>';
			echo '</div></center>';
	}
	else
	{
			$text = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['text'])))))));
			$tban = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['tban'])))))));
			$shield = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['shield'])))))));
			$clearchat = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['clearchat'])))))));
			$clearforum = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['clearforum'])))))));
			$clearls = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['clearls'])))))));
$error = false;
if( trim($_POST['text']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Заголовок</b></ins></font><br/>';
    
}

if(!empty($_POST['text']) && (mb_strlen($_POST['text']) > 200 || mb_strlen($_POST['text']) < 5 || mb_strlen($_POST['text']) > 200))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Причина</b></ins></font>  минимум <font color="#4EEE94">[5]</font> букв или символов<br/>';
  
}

if(!empty($_POST['text']) && (preg_match('/[^a-яА-Я0-9\ ]+/s',$_POST['text'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Причина</b></font> содержит запрещенные символы<br/>';
    
}

if( trim($_POST['tban']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Время</b></ins></font><br/>';
    
}

if(!empty($_POST['tban']) && (mb_strlen($_POST['tban']) > 5 || mb_strlen($_POST['tban']) < 1 || mb_strlen($_POST['tban']) > 5))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Время</b></ins></font>  минимум <font color="#4EEE94">[5]</font> букв или символов<br/>';
  
}

if(!empty($_POST['tban']) && (preg_match('/[^a-яА-Я0-9\ ]+/s',$_POST['tban'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Время</b></font> содержит запрещенные символы<br/>';
    
}
		
if ($tban<1 OR $tban>87600)

{	

	$error = $error . 'Банить можно от <font color="#4EEE94">[1-87600 часов]</font><br />';
				
}	  

if (empty($error))

		{

		echo '<div class="blok3">Игрок <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['login']))))))).']</font> забанен в чате на <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($tban))))))).']</font> час(ов)!<br/></div>';
		if($shield==1){
		echo '<div class="blok3">Мораторий активирован на <font color="#4EEE94">['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($tban))))))).']</font> час(ов)<br/></div>';
		echo '</div>';
		$tshield=$realtime+($tban*3600);
		}else{
		$tshield=$realtime;
		}
		if($clearchat==1)mysql_query("DELETE FROM `brifing` WHERE `uid`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
		if($clearforum==1)mysql_query("DELETE FROM `forum_posts` WHERE `uid`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
		if($clearls==1)mysql_query("DELETE FROM `mail` WHERE `uid1`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
		mysql_query("UPDATE `users` SET `ban_chat`=1, `tmarat`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($tshield)))))))."' WHERE `id` = '". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."'");
		mysql_query("INSERT INTO `ban_chat` SET `uid` = '". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."', `adm`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `text`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text)))))))."', `time`=$realtime+($tban*3600)");
		mysql_query("INSERT INTO `log_ban_chat` SET `uid` = '". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id'])))))))."', `adm`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."', `text`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text)))))))."', `time`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($realtime)))))))."', `ban_time`='". check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($tban)))))))."'");
	
		}
		else
		{
			echo '<div class="blok"><b>' . $error. '</b></div>';
		}
	}
	echo '<div class="blok"><a href="anketa.php?id='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($f['id']))))))).'"><b>Назад</b></a></div>';
	}
	
break;
case 'add':

	  	if(!$_POST)
	{

	}
	else
	{
		$text = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['text'])))))));
		$lastmess=mysql_result(mysql_query("SELECT COUNT(*) FROM `brifing` WHERE `uid` = '".$use_id."' AND `text`='".$text."' AND `time`>=$realtime-300;"), 0);
$error = false;
if( trim($_POST['text']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Сообщение</b></ins></font><br/>';
    
}

if(!empty($_POST['text']) && (mb_strlen($_POST['text']) > 200 || mb_strlen($_POST['text']) < 2 ||mb_strlen($_POST['text']) > 200))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Сообщение</b></ins></font>  минимум <font color="#4EEE94">2</font> символов или букв<br/>';
  
}

if(!empty($_POST['text']) && (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$_POST['text'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Сообщение</b></font> содержит запрещенные символы<br/>';
    
}

if ($level == 0)

{	

	$error = $error . '<b>Вы не авторизированны</b><br/>';
		
}	  
	  		
if (empty($error))

		{
		
			mysql_query("INSERT INTO `brifing` SET
			            `uid`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id))))))) . "',
						`time`='" . time() . "',
			            `text`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text))))))) . "';");		
			header('Location: brifing.php');

		}
		else
		{
			echo "<title>Ошибка</title>";
			echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
			echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
			echo '<div class="razd"></div>';
			echo '<div class="blok"><b>'.$error.'</b></div><div class="razd"></div><div class="blok"><a href="brifing.php"><b>Назад</b></a></div>';
		}
	}
break;
case 'del':
if($level==5 OR $level==6 OR $level==7 OR $level==8 OR $level==9){
echo "<title>Чат</title>";
echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
echo '<div class="blok3">Чат</div>';
$m=$_GET['m'];
	$wb=$_GET['o'];
		if($wb!=1){
		                    echo '<center><div class="window">';
							echo 'Вы уверены что хотите удалить это сообщение?<br/>';
							echo '<a href="?act=del&amp;m='.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($m))))))).'&amp;o=1"><font color="#4EEE94"><b>Да</b></font></a> или <a href="brifing.php"><font color="#4EEE94"><b>Отмена</b></font></a><br/>';
							echo '</div></center>';
							}else{
							
							mysql_query("DELETE FROM `brifing` WHERE `id`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($m)))))))."';");
							header("Location: brifing.php");
							}}

break;
case 'clean':
if($level==6 OR $level==7 OR $level==8 OR $level==9){
echo "<title>Очистить чат</title>";
echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="blok3"><b>Очистить чат</b></div>';
	$wb=$_GET['o'];
		if($wb!=1){
		                    echo '<center><div class="window">';
							echo 'Вы уверены что хотите удалить это сообщение?<br/>';
							echo '<a href="?act=clean&amp;o=1"><font color="#4EEE94"><b>Да</b></font></a> или <a href="brifing.php"><font color="#4EEE94"><b>Отмена</b></font></a><br/>';
							echo '</div></center>';
							}else{
							
							mysql_query("DELETE FROM `brifing`;");
							header("Location: brifing.php");
							}}
}
}

	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>